# The Prefix used on SOLR, Website and Database instances.
$prefix = "sc101"
# The Password for the Sitecore Admin User
$SitecoreAdminPassword = "b"
# The root folder with the license file and WDP files.
$SCInstallRoot = "C:\ResourceFiles"
# The name for the Sitecore Content Management server.
$SiteName = "$prefix.sc"
# The name for the Sitecore xConnect server
$xconnectSiteName = "prefix.xconnect"
# The tenant_id
$TenantId = ""
# The Config service based URL
$ML_Config_BaseUrl = ""
# A token used to authenticate against config service for your tenantId
$ML_Config_Token = ""
# The Experience Accelerator packages to install
$xConnectPackage = (Get-ChildItem "$SCInstallRoot\Sitecore.AI.xconnect.*.scwdp.zip").FullName
$SitecoreAICMPackage = (Get-ChildItem "$SCInstallRoot\Sitecore.AI.cm.*.scwdp.zip").FullName

# Parameters
$sitecoreParams = @{
    Path                      = "$SCInstallRoot\config\SitecoreAI-SingleDeveloper-XP0.json"
    SitecoreAICMPackage       = $SitecoreAICMPackage
	xConnectPackage			  = $xConnectPackage
    Prefix                    = $prefix
    SitecoreAdminPassword     = $SitecoreAdminPassword
    SiteName                  = $SiteName
	xconnectSiteName          = $xconnectSiteName
	TenantId				  = $TenantId
	ML_Config_BaseUrl		  = $ML_Config_BaseUrl
	ML_Config_Token			  = $ML_Config_Token
}

Push-Location $SCInstallRoot

Install-SitecoreConfiguration @sitecoreParams -verbose *>&1 | Tee-Object SitecoreAI-SingleDeveloper.log

Pop-Location